#
# spec file for package librpcsecgss
#
# Copyright (c) 2012 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           librpcsecgss
%define socurrent	3
BuildRequires:  libgssglue-devel
BuildRequires:  libtool
BuildRequires:  pkgconfig
Url:            http://www.citi.umich.edu/projects/nfsv4/linux
Summary:        Library Implementing GSSAPI Security for ONC RPC
License:        BSD-3-Clause
Group:          Development/Libraries/C and C++
Version:        0.19
Release:        19.3
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Source:         http://www.citi.umich.edu/projects/nfsv4/linux/librpcsecgss/librpcsecgss-%{version}.tar.gz

%description
This library implements the GSS security mechanism for ONC RPC. It can
be used to provide strong authentication and security for NFS.

%package -n %name%socurrent

Summary:        Library Implementing GSSAPI Security for ONC RPC
Group:          System/Base
Obsoletes:      %name < 0.18
Provides:       %name = 0.18

%description -n %name%socurrent
This library implements the GSS security mechanism for ONC RPC. It can
be used to provide strong authentication and security for NFS.

%package devel
Summary:        Library Implementing GSSAPI Security for ONC RPC
Group:          Development/Libraries/C and C++
Requires:       %name%socurrent = %version

%description devel
This library implements the GSS security mechanism for ONC RPC. It can
be used to provide strong authentication and security for NFS.

%prep
%setup -q

%build
%{?suse_update_config:%{suse_update_config -f }}
autoreconf -i -f
RPM_OPT_FLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing" %configure 
make %{?_smp_mflags}

%install
make install DESTDIR="%buildroot"
find "%buildroot" -type f -name "*.a" -delete
find "%buildroot" -type f -name "*.la" -delete

%clean
rm -rf $RPM_BUILD_ROOT

%post -n %name%socurrent -p /sbin/ldconfig

%postun -n %name%socurrent -p /sbin/ldconfig

%files -n %name%socurrent
%defattr(-,root,root)
%_libdir/librpcsecgss.so.*

%files devel
%defattr(-,root,root)
%_prefix/include/*
%_libdir/*.so
%_libdir/pkgconfig/*

%changelog
* Mon Feb 13 2012 coolo@suse.com
- patch license to follow spdx.org standard
* Thu Dec 15 2011 aj@suse.de
- Update to version 0.19 which updates the SUN license to
  BSD3 Clause.
* Tue Nov 22 2011 coolo@suse.com
- add libtool as buildrequire to avoid implicit dependency
* Fri Sep 24 2010 coolo@novell.com
- fix provides of the old name
* Sun Sep 19 2010 jengelh@medozas.de
- Strip changelog from .spec file, it is in .changes anyway
- Strip static libraries and .la metafiles from packages
- Split package into librpcsecgss and librpcsecgss-devel
  (fixes BNC#631276)
- Remove redundant Autoreqprov statement (it's on by default)
- Remove duplicate Buildroot statement
- Use %%_smp_mflags for build
* Fri Sep 19 2008 meissner@suse.de
- update to 0.18
  * bugfix in connect handling regarding interrupts
* Thu Mar 27 2008 mkoenig@suse.de
- update to version 0.17
  * Fix for stack overflow problem (CVE-2007-3999)
  * Change to use libgssglue rather than libgssapi.
* Mon Feb 25 2008 crrodriguez@suse.de
- fix library-without-ldconfig-post* errors
* Tue Aug  8 2006 ro@suse.de
- update to version 0.14 (changes since 0.7)
  * From Olga Kornievskaia -- add new prep_refresh function
    to clean up context information before trying to refresh
    a context
  * From Olga Kornievskaia -- add new function to access
    retry count for a context.
  * Adds back clnt_* files which have the necessary calls
    needed for privacy.
  * Fix potential memory leak on authgss_create() failure.
  * Patch from Timo Aaltonen <tjaalton@cc.hut.fi> for
    Debian packaging.
  * Modify authgss_get_private_data() to "forget" about the
    private data it just gave away.
  * Add new function authgss_free_private_data() to be
    called by the caller of authgss_get_private_data()
    to free up resources.
  * Remove all unnecessary headers from this distribution and
    instead use the headers provided by glibc.  This should
    fix problems reported on 64-bit platforms.
  * Fix compiler errors and most warnings due to these changes.
  * Add install code to remove old versions of our headers that
    may have been previously installed.
  * Change soname and version.  (ldconfig must be run,
    nfs-utils must be re-built and re-linked.)
  * Add function to handle xdr of gss_buffer_desc.  This
    properly handles the size_t/u_int mismatch on 64-bit
    platforms.
  * From Olga Kornievskaia -- use prep_refresh stuff in the
    tcp client.  (Needed for SPKM3 context negotiations.)
  * Fix SPKM3 context negotiation problem which was introduced
    in Release 0.12.  Buffers for SPKM3 are much bigger than in
    Kerberos, maxlength was too small while encoding gss_buffers.
  * Introduce function renaming so there is no conflict with
    functions in the glibc library.  This fixes problems when
    NIS is used and winds up calling our function rather than
    the glibc version of the function.
* Tue May 30 2006 okir@suse.de
- Fix for 64bit issues on big-endian machines (#172605)
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Mon Dec 12 2005 okir@suse.de
- Updated to latest upstream version (0.7)
* Tue May 31 2005 okir@suse.de
- Initial packaging
